#<profile4xi profile = "10" />
# -------------------------------------------------------------------------------------------------
#<program4xi program = "ace_object4xi.py">
#<abstract4xi abstract = "provides function ace_object4xi"/>
#<refer4xi reference = "dragonxi" />
#<state4xi status = "ACK4tagging; ACK4moduletesting; NACK4systemtesting; [Rel 7.21]"/>
# -------------------------------------------------------------------------------------------------

# -------------------------------------------------------------------------------------------------
# Public API
# -------------------------------------------------------------------------------------------------
#<interface4xi interface = " 
__all__ = [ 'ace_object4xi']
#"
#/>

# -------------------------------------------------------------------------------------------------
# Standard Imports                          
# -------------------------------------------------------------------------------------------------
#<standardize4xi standard = "
try:                 # system ones
    import os
    import sys
    import signal
except:
    pass
try:                 # threading ones       
    import threading                
    import _thread   
except:
    pass
try:
    import _winapi
except:
    pass    
try:                 # rare ones
    import pickle          
except:
    pass 
       
#"
#/>

# -------------------------------------------------------------------------------------------------
# Multiprocessing Imports                          
# -------------------------------------------------------------------------------------------------
#<process4xi process = "
try:                             # Binary ones
    import _multiprocessing
except:
    pass
#"
#/>
 
# -------------------------------------------------------------------------------------------------
# DragonXi imports                              
# -------------------------------------------------------------------------------------------------
#<dragonize4xi dragonization = "
from print4xi import print4xi
from public_methods4xi import public_methods4xi
from time4xi import time4xi
#"
#/>




# -------------------------------------------------------------------------------------------------
#<function4xi function = "ace_object4xi" usage = "
#   skeleton_print4xi.py and test_skeleton_print4xi.py 
#   ace-test-skeleton-print4xi.xml 
#"
#>
#<state4xi status = "ACK4review; ACK4tagging; NACK4moduletesting; NACK4systemtesting"/> 
# -------------------------------------------------------------------------------------------------
def ace_object4xi(object):
    '''
    aces object
    '''
 
    # -------------------------------------------------------------------------------------------------
    #                             
    # -------------------------------------------------------------------------------------------------    
         
    class2print = "ace_object4xi"
    method2print = "ace_object4xi"
  
    message2print = "{started" + "; ace-object4xi-started: " + str(ace_object4xi)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)      
    
    message2print = "{passed" + "; object-passed-to-ace-object4xi: " + str(object) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)   
    #HW: <Process4Xi(Process4Xi-1, stopped)>
    
    
    try:
        kb8xi = {'object8xi': object}        
        
    except:
        pass
        
 
    # -------------------------------------------------------------------------------------------------
    # to-be-done                              
    # -------------------------------------------------------------------------------------------------    
    
    #<do4xi do = "
    #     add more knowledge to ace_object4xi.py; use threading, sys and OS
    #"
    #/>
    
 
    # -------------------------------------------------------------------------------------------------
    #                             
    # -------------------------------------------------------------------------------------------------    
       
             
    message2print = "{returning" + "; kb8xi-returning-by-ace-object4xi: " + str(kb8xi) + "; time: " + time4xi() + "}" 
    print4xi(class2print, method2print, message2print)           
   
      
    return kb8xi
#</function4xi>

#</program4xi>

# -------------------------------------------------------------------------------------------------
# Recorded History                             
# ------------------------------------------------------------------------------------------------- 
#<record4xi record = "
#   test_skeleton_print4xi.txt
#   ace-test-skeleton-print4xi.xml
#"
#>

# -------------------------------------------------------------------------------------------------
# Legal Notice                             
# ------------------------------------------------------------------------------------------------- 
#<protect4xi protection = "copyright"
#   owner = "Small & Smart"
#   rights = "All rights reserved"
#   state = "California"
#   country = "United States of America"
#   references = "Legal notice at www.dragonxi.com; www.yourdragonxi.com; www.yourdragonxi.org; www.dragon2xi.com/; www.dragon4xi.com/; www.dragon8xi.com/ " 
#   codes = "Codes established in California and applicable to corporations in California"
#   compliance = "The California Law"
#   court = "Supreme Court of California, 350 McAllister Street, San Francisco, CA 94102-4783"
#/>
 

#<end4xi end = "
# -------------------------------------------------------------------------------------------------
# end of ace_object4xi.py                             
# ------------------------------------------------------------------------------------------------- 
#"
#/>



